Kerbal Space Program - Bug #2753

New kraken: all ships accelerate randomly and are uncontrollable when time warp is engaged
07/12/2014 12:38 AM - charredutensil

Status: Closed Start date: 07/12/2014
Severity: Normal % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 0.23.5 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Something happened after my most recent crafts. | attempted to build a space station by sticking things onto a captured asteroid.
Now, whenever ANY craft reaches orbit around ANY body (Except the sun, for some reason?), using time warp causes the following
effect:

1. Time warp accelerates to 5x. Sometimes, this is successful and the kraken does not appear until warp reaches 10x

2. Time warp immediately ends.

3. Craft cannot be put into time warp "while it is under acceleration”

4. Craft is indeed accelerating, slowly.

5. Craft cannot be rotated by any means (reaction wheels, RCS, crashing).

6. Sometimes, craft will be torn to shreds under certain circumstances (tried a takeoff from Min and that ripped through itself when |
engaged time warp)

| have tried deleting every single craft and launching a new one. This one immediately exploded when | turned on time warp when it
reached orbit, but the command module stayed intact, unrotatable, and accelerating.

| have only one mod installed - Kerbal Alarm Clock - but don't know how to uninstall it to see if that's causing the issues somehow. (I
have the version from Steam) | have no alarms set.

Related issues:

Related to Kerbal Space Program - Bug #3107: Timewarp Causes Fixed Velocity Closed 09/18/2014
Related to Kerbal Space Program - Bug #2349: Frozen Orbit Null Reference Exce... Closed 04/05/2014
Related to Kerbal Space Program - Feedback #5150: NullReferenceException: Pha... Closed 06/21/2015
Related to Kerbal Space Program - Bug #5264: NPE caused by connecting active ... Duplicate 07/24/2015
Has duplicate Kerbal Space Program - Bug #5098: Docking with claw when claw-e... Duplicate 06/01/2015
Has duplicate Kerbal Space Program - Bug #5326: Vessel accelerates without an... Duplicate 08/16/2015
Has duplicate Kerbal Space Program - Bug #5137: Spontaneous Acceleration and ... Duplicate 06/15/2015
History

#1 - 07/12/2014 12:40 AM - charredutensil
- File 2014-07-12_00001.jpg added

#2 - 07/12/2014 11:28 AM - charredutensil

UPDATE: | added and deleted an alarm from Kerbal Alarm Clock, and the problem disappeared. However, when | moved another ship closer to this
space station, the warp problems reappeared. | tried ramming the new spacecraft part into the station, which did nothing, although turning the ship
caused the entire station to promptly explode into fragments. Then, the parts still connected to the command module | was using had their rotation
locked and started accelerating on their own away from Kerbin. The acceleration always seems to occur AWAY from the orbiting body.

#3 - 07/12/2014 11:39 AM - charredutensil
- File 2014-07-12_00002.jpg added
- File 2014-07-12_00003.jog added
- File 2014-07-12_00004.jpg added
- File 2014-07-12_00005.jpg added
- File 2014-07-12_00007 jpg added
- File 2014-07-12_00009.jpg added
- File 2014-07-12_00010.jpg added
- File 2014-07-12_00011.jpg added

#4 - 07/20/2014 06:11 AM - tirbelain

| am experiencing the same problem.

I'm not sure when | first encountered this, probably it was early in 0.23.5. That was just after | started using mods and after removing them (especially
the "Distant Objects" mod seemed to be related) the problem was gone (that's why | didn't report it back then). But now, in 0.24 it is back, with or
without the mods.

To me the ships' behavior looks like they are not following their orbit anymore but just moving along their current direction vector. The orbit is following
the ship, hence being shifted along the travelling direction, keeping its relative location with regard to the ship.

Further, strange physics forces are applied to the ships sometimes, causing them to be twisted around in an unhealthy way and (sometimes) ripping
them apart.

When you return to the Space Center (losing data since last save) and then jump back into a ship, the problem is gone until you start
time-accelerating again. Physics warp works just fine and doesn't trigger that problem.

Quitting and restarting the game seems to resolve that problem at least for some time but eventually it occurs again. | haven't found a way to reliable
reproduce this issue so far but I'll keep investigating.

#5 - 07/20/2014 08:07 AM - tirbelain
- File kraken.zip added
- File DxDiag.txt added

Ok, | have found a way to reproduce the issue at 100%. Maybe not all the steps are necessary but this caused the bug to appear every single time |
tried (approx. 20 times).
Just to make sure | have a stock install, | re-downloaded a fresh installation from Steam and used that for testing.

How to reproduce:

Extract the kraken.zip into your "saves" directory

Start the game and resume "kraken"

(Load "kraken-situation" sfs (Esc + Load Save from KSC) <- actually this appears to be not necessary)
Goto Tracking Station

Fly "Antares Science Station" (the only station in the savegame)

Press 'M' to open map

Switch to "Munar Science Lander B" (one of the two capsules)

Turn Prograde and boost up to approx. 2000 m/s orbital speed, then cut thrust

press "' twice to time accelerate at 10x (sometimes it doesn't occur at 5x acceleration)

-> See the "Cannot warp faster than 1x while the ship is under acceleration" and watch the orbit change

Just for completeness | added my system specs (in case that is a PhysX driver issue or something like that).

Hope that helps. :)

#6 - 07/20/2014 05:46 PM - charredutensil
| uninstalled Kerbal Alarm Clock and the bug persisted, so it wasn't that mod at all. My issues were also definitely space-station related, as | haven't
yet reproduced this without visiting a space station in-game, and the bug didn't appear until shortly after | discovered how to use docking ports.

@terbelain 's method reliably reproduces the bug for me. | think it has something to do with the fact that the ship was undocked from the space
station. Mine is made up of one asteroid and a handful of parts attached during different launches. It tends to occur immediately after undocking from
said station. | haven't had it occur after undocking two simple ships.

Another odd thing to note: SOMETIMES the space station accelerates to infinity with me, particularly when it's closer, and sometimes it does not.

#7 - 07/20/2014 08:09 PM - tirbelain

This also happens to ships that were never even close to my station.

My current guess is that the physics tick might get out of sync with the game tick due to bad performance while being around the station (or large
structures in general) and tries to catch up on during time-acceleration where physics are usually disabled. Or it might be something completely
different. ;)

#8 - 07/21/2014 10:06 AM - charredutensil

| just noticed that this is probably the same glitch:

https://www.youtube.com/watch?v=ul6FXQMT1Gl#t=192
well, the effects of it at least.

#9 - 07/21/2014 05:44 PM - tirbelain
- Status changed from New to Confirmed

- % Done changed from 0 to 10

As we actually have working reproduction steps | think it s save to set this to confirmed.

#10 - 08/08/2014 08:57 PM - xxbrandonoxx
Happens on Mac/OSX as well

#11 - 10/07/2014 04:46 PM - tirbelain

Still happens in 0.25. Just checked it in a stock install with the savegame and reproduction steps from comment #5.

#12 - 11/12/2014 05:01 AM - lomendil

| just want to add that | am experiencing this exact behavior (without asteroid) in 0.25 on linux x64, however the sfs it is happening in is using some
mods. If it's useful to load a save that was created with mods into a stock instance, | can definitely do that. | can probably edit out all of the non-stock
parts. Either way, the behavior is the same, and | can trigger it by loading a particular save and using time warp. The root node of the active ship will
have its orientation locked and start accelerating away from its SOl body.

Edit: I did prune the non-stock parts and have replicated the behavior in stock 0.25. I'll attach two sfs files, approximately 180 s apart, one before the
bug shows up and one after. A space plane was drifting towards a refueling station, and | was holding down 'n'. The problem seems to be related to
the two vessels being close together.

#13 - 11/13/2014 06:52 PM - lomendil
- File postbug.sfs added
- File prebug.sfs added

#14 - 11/28/2014 11:10 AM - Squelch
- Status changed from Confirmed to Need More Info

- % Done changed from 10 to 0

While i was able to reproduce this problem in stock win32 0.025 using the savegame from #2753-5 there is still far too much going on to be able to
create simple reproduction steps.

Observations:
The craft does indeed continue to accelerate without an obvious source of propulsion. The orbit, and distance to nearby objects will visually increase,
but the velocity shown in the Navball continues to show as constant. The craft cannot be controlled while in this state.

I've marked this as needing more information for the simple reason that the reproduction steps require a complex savegame. (The possibility of a
corrupt save cannot easily be ruled out)

Please note: Modded games cannot be supported on this tracker unless there is a rare or specific case for interaction.

#15 - 11/28/2014 03:20 PM - lomendil
Squelch wrote:
I've marked this as needing more information for the simple reason that the reproduction steps require a complex savegame. (The possibility of a

corrupt save cannot easily be ruled out)

Could the before and after savegames in http:/bugs.kerbalspaceprogram.com/issues/2753#note-14 be used to rule out or isolate save corruption?

#16 - 11/28/2014 04:10 PM - Squelch

lomendil wrote:
Could the before and after savegames in http:/bugs.kerbalspaceprogram.com/issues/2753#note-14 be used to rule out or isolate save
corruption?

The short answer is not really.

The long answer is that by your own admission, it is a modded game, and that you have manually edited it. While this may work in many cases
without problem, we are dealing with an esoteric bug that must be concisely reproducible to be able to forward to the devs. Is the problem down to
some whitespace or improper line ending in the save? Was that whitespace or line ending introduced by your edit or the previous mods? just for
example.

| will review your saves in the hope of discovering a step by step reproduction. Thank you for the time spent on this.
We must rule out as many variables as possible, including saves if at all possible.

#17 - 11/29/2014 06:52 AM - tirbelain

Could you please explain what kind of reproduction would be appropriate? As the problem seems to be related to complex crafts it is probably
unfeasible to not include a savegame in that process.

Just for the record (because | didn't mention that earlier): the savegame from #2753-5 was directly taken from the game and not modified manually. If
it is corrupt this must be due to another bug. ;)

#18 - 11/29/2014 07:36 AM - Squelch
tirbelain wrote:

Could you please explain what kind of reproduction would be appropriate? As the problem seems to be related to complex crafts it is probably
unfeasible to not include a savegame in that process.

We need to remove as many variables or unimportant details as possible. This bug is not occurring for everyone all of the time, so there must be a
unique set of circumstances or steps that will enable us to reconstruct it. If it does indeed require more complex craft or combinations of parts, then in
all probability those combinations will be a factor. To forensically examine complicated craft and scenarios for no reason is a waste of time, and is of
no use to the developers in identifying the cause.

The steps need to be as simple as possible. ie

Put vessel a into x orbit.

Put vessel b into Y orbit

Switch between vessels A & B once
Increase Vessel A orbit to Z

The vessels must have the minimum number of parts to produce the issue.

Just for the record (because | didn't mention that earlier): the savegame from #2753-5 was directly taken from the game and not modified
manually. If it is corrupt this must be due to another bug. ;)

Indeed, and this is a possibility that can't be ruled out and would need investigation. There is no doubt in my mind that this is an issue, but the
reasons for it are very unclear, and there are too many other factors that could have caused it. We need to rule them out to be able to justifiably call it
a bug. Thank you for your efforts on this problem. I'm sure we'll get to the bottom of it.

#19 - 11/29/2014 08:32 AM - Squelch
- File deleted (postbug.sfs)

#20 - 11/29/2014 08:32 AM - Squelch
- File deleted (prebug.sfs)

#21 - 11/29/2014 08:36 AM - Squelch

The edited savegames are simply unusable. Upon loading they turn KSP into a slideshow, and the logs are so full of errors, that nothing meaningful
can be obtained.

| have removed them from this issue so they won't confuse others. Please refrain from departing from the excellent bug reporting guide found here

#22 - 11/30/2014 07:58 PM - tirbelain

After spending the day (more or less with no avail) on trying to find a reproduction from scratch, at least | think | found a way to eliminate the
savegames (kind of) and every single spaceship part from the equation. Here's what | did:

- reproduce the glitch just as before by using the steps from #2753-5 -> when the problem occurred once, the game seems to be broken

- go to the main menu and start a new (sandbox) game

- build a tiny rocket and launch it into orbit

- again activate 10x time acceleration and see the effect happening on your tiny craft in a fresh savegame

The effect can be observed even on a one-part object. | tried it with a probe body and a battery (in two separate launches) that | put on top of a
decoupler, decoupled and deorbited the rocket (to get rid of any other objects in orbit) and jumped back to the part (via tracking station).

Actually you can repeat this as often as you like once the game is in that broken state, either with the same game or with a new one. It will remain
there until you restart KSP.

I know that this is not ideal because you still need the savegame to break it. But it shows that the problem comes from a global game mechanic (like
the orbital physics system that is probably initialized only once and keeps its state across savegames). Unfortunately it does not show what causes
this problem in the first place.

Actually | managed to break a new game without using saves but that took me several hours of uninterrupted game play. Restarting KSP (hence
resetting the problem) and trying to reproduce it again with the last steps from the previous session didn't work.

#23 - 12/10/2014 06:59 PM - x5060

| am also experiencing this exact issue. It seems like the vector that the craft is moving on just stops updating so it just continues moving at it's exact
speed and direction without gravity affecting it at all. It's almost as if All gravity in the kerbal system instantaneously disappears so you just but only in
relation to your current space craft. However | think this may have something to do with the SAS system as it appears that only certain parts can bend
after the bug takes hold. usually everything below the SAS module can bend if you exert force using RCS, but the SAS and everything above is rock
solid stuck facing the EXACT direction it was last in.

| have also noticed something a bit weird when the issue starts happening. | was working on capturing some asteroids to start making a base and so |
wanted a more stable capturing platform, so for the nose of my new asteroid capture craft | flipped a quad adapter upside down so | could put 4
grabbers as the nose. (It was an experiment that worked decently) However when the bug started showing up the grabbers would start shaking and
vibrating and sliding around on the quad adapter. They would get all mashed together and not even be sitting on their connection points. Sometimes if
I turn off SAS, RCS, and stop all acceleration of any kind they will stop moving around and just sit their in their new messed up positions.

#24 - 12/15/2014 07:16 PM - Squelch

tirbelain wrote:

The effect can be observed even on a one-part object. | tried it with a probe body and a battery (in two separate launches) that | put on top of a
decoupler, decoupled and deorbited the rocket (to get rid of any other objects in orbit) and jumped back to the part (via tracking station).
Actually you can repeat this as often as you like once the game is in that broken state, either with the same game or with a new one. It will
remain there until you restart KSP.

| know that this is not ideal because you still need the savegame to break it. But it shows that the problem comes from a global game mechanic
(like the orbital physics system that is probably initialized only once and keeps its state across savegames). Unfortunately it does not show what
causes this problem in the first place.

Actually | managed to break a new game without using saves but that took me several hours of uninterrupted game play. Restarting KSP (hence
resetting the problem) and trying to reproduce it again with the last steps from the previous session didn't work.

Thank you for your observations. The problem persisting between saves is of particular interest, and may link in with some other reports that are hard
to pin down, and go away after a game restart.

x5060 wrote:

| think this may have something to do with the SAS system as it appears that only certain parts can bend after the bug takes hold. usually
everything below the SAS module can bend if you exert force using RCS, but the SAS and everything above is rock solid stuck facing the
EXACT direction it was last in.

The SAS system and how it operates has been revised in 0.90, so may have a bearing on this problem

| have also noticed something a bit weird when the issue starts happening. | was working on capturing some asteroids to start making a base
and so | wanted a more stable capturing platform, so for the nose of my new asteroid capture craft | flipped a quad adapter upside down so |
could put 4 grabbers as the nose. (It was an experiment that worked decently) However when the bug started showing up the grabbers would
start shaking and vibrating and sliding around on the quad adapter. They would get all mashed together and not even be sitting on their
connection points. Sometimes if | turn off SAS, RCS, and stop all acceleration of any kind they will stop moving around and just sit their in their
new messed up positions.

The Claw does seem to figure in several reports, but when tested in isolation seems to behave in all but the most complex situations. It has been
suspected as the trigger, but similar behaviour has also been noted where no Claw is involved. It's a prime suspect, but only with circumstantial
evidence.

#25 - 12/29/2014 06:20 PM - Anonymous

| am also experiencing this on a regular basis, I'm going to try to narrow down the cause be elimination in my vanilla install, but it's a tedious process.
Some symptoms I've seen:

- this can be the only ship active in the savegame, no rendezvous is necessary, or even any other flight anywhere.

- main symptom is ship going into a state where it can't be controlled, claims it's under acceleration, and does not obey physics. this usually happens
coming out of a time warp.

- on stack separation, remaining upper stages go into wild rotation, but command pod seems to maintain its orientation, quickly breaking off the stack
and going into the above state.

- ship often explodes on stack separation, probably just collisions due to above spin

- when ship is in stuck state, if you let it fly for a bit, it eventually gets stuck at a point in space entirely. for example, one got stuck in a state that its
false-accelerated path was still suborbital, but it froze at 99998 meters and just stuck in space at that altitude.

- (this may be mod related, haven't tried it on my vanilla install, but coincides with this bug's other symptoms often on that savegame, and happens on
stock parts) symmetrical decouplers only decouple one of them when all are activated in staging or action group

05/20/2024 5/8



Running on linux x64

Certain conditions with the universal storage mod will cause this kraken. I've notified the maintainer to investigate. However, using that might be a
good way to easily reproduce and see what the game engine is doing wrong when it occurs.

#26 - 01/05/2015 07:11 AM - HeartOfGolf
- File Beta.zip added
- File DxDiag.txt added

I've just reinstalled both clean 32 and 64 version of KSP, here are the steps to reproduce the situation:

1) Load the 'Beta’ save

2) Go to the tracking station

3) Choose 'Evita One"

4) Create a node at periapsis to align with Kolniya orbit

4) Press any direction or time acceleration key, something strange starts

#27 - 06/24/2015 09:47 PM - Squelch

- Related to Feedback #5150: NullReferenceException: Phantom Acceleration, Claw Glitches, Frozen Vessels, Spontaneous Deconstruction added

#28 - 07/02/2015 02:41 PM - RexRectumlV

| am experiencing the exact same bug. | grabbed an asteroid, put it into orbit around Kerbin and now all ships that achieve orbit around Kerbin starts
accelerating during timewarps. | am playing KSP through Steam without any mods and | have the newest version (1.0.4) installed.

#29 - 07/02/2015 03:22 PM - Squelch
@RexRectumlV

If you would care to share your savegame and logs, it would help us determine the cause? This is possibly the first report of the problem since the
persistence bug was addressed.

#30 - 07/02/2015 04:16 PM - Squelch
- Has duplicate Bug #5098: Docking with claw when claw-equipped ship not focused breaks physics added

#31 - 07/04/2015 05:32 PM - RexRectumiV

- File Possiblekrakenbug.sfs added

Squelch wrote:
@RexRectumlV
If you would care to share your savegame and logs, it would help us determine the cause? This is possibly the first report of the problem since
the persistence bug was addressed.

Hi!

First of all: Sorry for a somewhat late reply and thank you for looking into this.

It seems the bug fixes it self upon restart of the game. | have not been able to pin down exactly what causes the bug for me, but it happens a lot when
playing around with an asteroid-catcher | have created.

| have uploaded a savefile. Try playing around with the "Asteroid Moving Unit (AMU)" vehicle (it is orbiting Kerbin with a Class E asteroid attached to
it) for a bit, freeing the pivot point, locking it again, burning the Rhino engine etc. and then timewarp. After timewarps it sometimes suddenly explodes,
while other times it (and other orbiting bodies) start accelerating during timewarps (this is probably easiest seen by switching to my space station KIR
after playing around with the AMU). Maybe it is possible that the bug is related to wobbly trajectories?

My game has, apart from consistantly crashing when reverting to VAB after playing around with rovers, been bug free before | started playing around
with the Claw.

#32 - 07/25/2015 12:27 AM - Squelch

- Related to Bug #5264: NPE caused by connecting active vessel to non-active vessel klaw added

#33 - 07/27/2015 05:55 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)
#34 - 08/03/2015 06:57 PM - nikvolf

- File quicksave.sfs added

Hello guys

| experience this bug

Usually it goes away after restarting the game

But | have savefile where it can be reproduced regardless
MODS: Engineer, Protractor

In this savefile you should take control of "Untitled Space Craft" which is landed on Mun

Then accelerate pointing 270 degrees navball (and a bit up, 30-45) until projected drop off to the Kerbin orbit

When Kerbin encounter get shown on the map, shutdown engines and (a bit afterwards - no matter) press accelerate ">"

Ship will be immediately destroyed by kraken acceleration forces

OS: Win64

(if you save game after taking off Mun and getting Kerbin encounter, restart the game and load - there will be NO BUG)

#35 - 08/17/2015 08:05 AM - Squelch

nikvolf wrote:

But | have savefile where it can be reproduced regardless
MODS: Engineer, Protractor

Thanks for reporting, but unfortunately we cannot work with modded games due to any other variables they may introduce, and simply trying to keep

up to date with them all. Stock reproductions only please.

#36 - 08/17/2015 08:06 AM - Squelch

- Has duplicate Bug #5326: Vessel accelerates without any engines firing added

#37 - 08/17/2015 08:11 AM - Squelch

- Has duplicate Bug #5137: Spontaneous Acceleration and explosion added

#38 - 07/17/2016 09:38 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#39 - 10/13/2016 03:00 PM - sal_vager
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

No reproduction in recent versions, this appears to have been a mod bug.

Files

quicksave.sfs
2014-07-12_00009.jpg
